> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Current employee's overtime requests

> Current employee's overtime requests



## OpenAPI

````yaml /api-reference/openapi.json get /api/overtime/me
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/overtime/me:
    get:
      tags:
        - Overtime
      summary: Current employee's overtime requests
      description: Current employee's overtime requests
      operationId: getApiOvertimeMe
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    employeeId:
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    employeeName:
                      type: string
                    employeeCode:
                      type: string
                    date:
                      type: string
                    minutes:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    reason:
                      anyOf:
                        - type: string
                        - type: 'null'
                    status:
                      type: string
                      enum:
                        - Pending
                        - Approved
                        - Rejected
                    decidedBy:
                      anyOf:
                        - type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        - type: 'null'
                    decidedByName:
                      anyOf:
                        - type: string
                        - type: 'null'
                    decidedAt:
                      anyOf:
                        - type: string
                        - type: 'null'
                    note:
                      anyOf:
                        - type: string
                        - type: 'null'
                    createdAt:
                      type: string
                  required:
                    - id
                    - employeeId
                    - employeeName
                    - employeeCode
                    - date
                    - minutes
                    - reason
                    - status
                    - decidedBy
                    - decidedByName
                    - decidedAt
                    - note
                    - createdAt
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````